PHP Manual
Prev |  | Next

# sesam_num_fields

(PHP 3 CVS only)

sesam_num_fields -- Return the number of fields/columns in a result set

## Description

int sesam_num_fields ( string result_id )

After calling sesam_query() with a "select type" query, this function gives you the number of columns in the result.

For "immediate" statements, the value zero is returned. The SESAM "multiple field" columns count as their respective dimension, i.e., a three-column "multiple field" counts as three columns.

## Parameters

`result_id`

  A valid result id returned by sesam_query().

## Return Values

Returns an integer describing the total number of columns (aka. fields) in the current `result_id` result set or `FALSE` on error.

## See Also

sesam_query()
sesam_field_array() for a way to distinguish between "multiple field" columns and regular columns.

Prev | Home | Next
sesam_free_result | Up | sesam_query